
package ibase.dashboard.mfg.ejb;
import java.rmi.RemoteException;

import ibase.webitm.ejb.ValidatorLocal;
import ibase.webitm.utility.ITMException;

import javax.ejb.Local;

import org.json.simple.JSONObject;
@Local
public interface HalolMFGReleaseLocal extends ValidatorLocal 
{
	public JSONObject getHalolMFGReleaseBatches(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getMonthWiseActualRelease(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getMonthWisePendingRelease(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getSummaryGrid(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getTBDBatch(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getUnreleasedSummaryGrid(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
}
